#include"motor.h"
#include <EnableInterrupt.h>

/*
 * en EnablePin
 * m1 Motorpin1
 * m2 Motorpin2
 * i1 Inputpin1 (Lichtschranke oder Encoder)
 * i2 Inputpin2
 * mmps Auflösung in mm/Step
 */
Motor M1(10 ,11 ,3 ,4 ,2, 1.0);
void setup() 
{
  Serial.begin(9600);
  // Hier müssen die Pins i1 und i2 eingetragen werden !!!
  enableInterrupt(4,iRoutine,CHANGE);  // Wenn sich i1 oder i2 ändern, sollen die 
  enableInterrupt(2,iRoutine,CHANGE);  // Motorsteps weitergezählt werden.
}

void loop() 
{
  M1.setVSoll(500);
  M1.fPID();  // Aufruf der fPID-Regelung

  Serial.print(micros());
  Serial.print("; ");
  Serial.print(M1.getS());
  Serial.print("; ");
  Serial.println(M1.getV());
}

void iRoutine() 
{
   M1.richtung();
}
